# $Revision: 1.15 $, $Date: 2004/05/06 18:09:45 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Inline
Summary:	Inline perl module
Summary(pl):	Modu perla Inline
Name:		perl-Inline
Version:	0.44
Release:	2
Epoch:		1
# same as perl (but C-Cookbook is Artistic-only)
License:	GPL v1+ (except C-Cookbook) or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	840f47d9b6cef39e68370faf9dceab2c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Digest-MD5 >= 2.09
BuildRequires:	perl-Parse-RecDescent >= 1.78
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# false requires found by rpm
%define		_noautoreq	'perl(of)'

%description
Inline.pm - Write Perl subroutines in other programming languages.

%description -l pl
Modu Inline.pm - pozwala tworzy procedury Perla w innych jzykach
programowania.

%package C
Summary:	Inline::C perl module
Summary(pl):	Modu perla Inline::C
Group:		Development/Languages/Perl
License:	Artistic
Requires:	%{name} = %{epoch}:%{version}
Requires:	gcc

%description C
Inline::C - Write Perl subroutines in C.

%description C -l pl
Modu Inline::C - pozwalajcy pisa funkcje Perla w C.

%prep
%setup -q -n %{pdir}-%{version}

%build
echo "y" | perl Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Inline.pm
%{perl_vendorlib}/Inline/denter.pm
%{perl_vendorlib}/Inline/Foo.pm
%{perl_vendorlib}/Inline/MakeMaker.pm
%{perl_vendorlib}/auto/Inline
%{_mandir}/man3/Inline.3pm*
%{_mandir}/man3/Inline-*.3pm*

%files C
%defattr(644,root,root,755)
%doc C/Changes C/README
%{perl_vendorlib}/Inline/C.pm
%{perl_vendorlib}/Inline/C
%{_mandir}/man3/Inline::C*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Inline.spec,v $
Revision 1.15  2004/05/06 18:09:45  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/22 12:52:35  ankry
- license fixes & unification

Revision 1.13  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.12  2003/05/28 13:00:44  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 21:55:07  radek
- fixed

Revision 1.8  2003/03/01 19:37:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/18 15:35:07  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/11/21 17:09:05  mis
- autoupdated to 0.44

Revision 1.5  2002/09/26 09:40:56  ankry
- version down to 0.42; 0.43 does not work with Inline::Filters
- release 1, epoch 1, STBR

Revision 1.4  2002/09/17 16:19:24  qboosh
- %%{perl_sitearch}{/auto,}/Inline dirs moved to perl - this package is noarch
- release 3

Revision 1.3  2002/07/13 22:56:17  ankry
- _noautoreq 'perl(of)' (workaround for rpm parsing error)
- release 2

Revision 1.2  2002/07/13 11:44:30  qboosh
- added dirs for arch-dependent Inline::* modules
- noarch Inline dir moved to perl - Inline::Files doesn't require Inline
- release 2

Revision 1.1  2002/07/12 22:45:14  qboosh
- new
